# ListContracts

PATH: /aurora.core.apiengine.contractsv1.ContractService/ListContracts

Endpoint: POST /aurora.core.apiengine.contractsv1.ContractService/ListContracts
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `counterparty_ids` (array)
    Counterparty ID filter - optional

  - `created_at_end` (string)
    Filter contracts created before time - in RFC3339 with millisecond precision - optional

  - `created_at_start` (string)
    Filter contracts created after time - in RFC3339 with millisecond precision - optional

  - `end_date` (string)
    Date until contracts created (inclusive, YYYY-MM-DD) filter - optional

  - `id` (string)
    Contract identifier (persistent contract identifier inside Aurora system) filter - optional

  - `instrument` (string)
    Instrument (CUSIP or Ticker) filter - optional

  - `page_limit` (integer, required)
    Number of contracts to fetch per page (max=1000)

  - `page_number` (integer, required)
    Page number to fetch, starting from 1

  - `side` (string)
    Enum: "BORROW", "LOAN"

  - `start_date` (string)
    Date after contracts created (inclusive, YYYY-MM-DD) filter - optional

  - `status_filter` (string)
    Enum: "OPEN", "CLOSED"

## Response 200 fields (application/json):

  - `contracts` (array)
    Current details of the contract(s)

  - `contracts.agreement_id` (string)
    Id of the agreement associated with this contract

  - `contracts.collateral_price` (string, required)
    The collateral_rate adjusted price rounded up.

  - `contracts.collateral_rate` (string, required)
    Collateral rate of the contract

  - `contracts.contract_value` (string, required)
    Value of the contract

  - `contracts.contract_value_adjustment` (string, required)
    Change in value of the contract

  - `contracts.counterparty_id` (string, required)
    Counterparty ID

  - `contracts.created_at` (string, required)
    Time of contract creation- time in RFC3339 with millisecond precision

  - `contracts.id` (string, required)
    Contract identifier (persistent identifier inside Aurora system)

  - `contracts.instrument` (object, required)
    Instruments can be identified by their CUSIP or Ticker SymbolFields: cusip, ticker, name

  - `contracts.instrument.cusip` (string, required)
    CUSIP

  - `contracts.instrument.name` (string, required)
    Security name

  - `contracts.instrument.ticker` (string, required)
    Ticker

  - `contracts.interest_due_amount` (string, required)
    Daily interest amount of the contract

  - `contracts.last_contract_value` (string, required)
    Value of the contract before the last operation that adjusted this value

  - `contracts.last_market_value` (string, required)
    Market value of the contract before the last operation that adjusted this value

  - `contracts.last_quantity` (string, required)
    Quantity of the contract before the last operation that adjusted this value

  - `contracts.market_value` (string, required)
    Market value of the contract

  - `contracts.quantity` (string, required)
    Total quantity of the contract

  - `contracts.rate_details` (object, required)
    Fields: rate, benchmark

  - `contracts.rate_details.benchmark` (string)
    possible rate benchmarks
    Enum: "OBFR", "EFFR", "SOFR", "BGCR", "TGCR", "IORB"

  - `contracts.rate_details.rate` (string, required)

  - `contracts.recalled_quantity` (string, required)
    Total quantity currently recalled

  - `contracts.returned_quantity` (string, required)
    Total quantity that has been returned

  - `contracts.rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `contracts.settlement_date` (string, required)
    Settlement date of SFT (if exists)

  - `contracts.settlement_id` (string, required)
    Settlement Type specific identifier
ie. DTCC reference id for SFT

  - `contracts.settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `contracts.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `contracts.status` (string, required)
    possible states in the lifecycle of a contract
    Enum: "NEW", "PENDING", "REJECTED", "DROPPED", "CANCELED", "OPEN", "CLOSED", "TERMINATED", "UNDER_CORP_ACTION", "ROLL_PENDING", "CANCEL_ROLL_PENDING", "CANCEL_RETURN_PENDING", "CANCEL_NEW_LOAN_PENDING", "ERROR"

  - `contracts.unit_price` (string, required)
    Last prior day market price

  - `total_count` (string, required)
    Total number of contracts


